from metadata.sdk import configurefrom metadata.sdk.entities import Dashboardsconfigure( host="https://your-company.open-metadata.org/api", jwt_token="your-jwt-token")# Get by IDdashboard = Dashboards.retrieve("03fb5cc3-de48-423f-9926-8e192e5de59d")print(f"{dashboard.fullyQualifiedName.root}: {dashboard.displayName}")# Get by ID with fieldsdashboard = Dashboards.retrieve( "03fb5cc3-de48-423f-9926-8e192e5de59d", fields=["owners", "tags", "charts"])# Get by fully qualified namedashboard = Dashboards.retrieve_by_name("sample_superset.10")# Get by name with fieldsdashboard = Dashboards.retrieve_by_name( "sample_superset.10", fields=["owners", "tags", "charts", "domains"])
import org.openmetadata.schema.entity.data.Dashboard;// client is an initialized OpenMetadataClient.// Get by IDDashboard dashboard = client.dashboards().get("03fb5cc3-de48-423f-9926-8e192e5de59d");// Get by ID with fieldsDashboard dashboardWithFields = client.dashboards().get( "03fb5cc3-de48-423f-9926-8e192e5de59d", "owners,tags,charts");// Get by fully qualified nameDashboard dashboardByName = client.dashboards().getByName( "sample_superset.10");// Get by name with fieldsDashboard dashboardByNameWithFields = client.dashboards().getByName( "sample_superset.10", "owners,tags,charts,domains");
# Get by IDcurl "{base_url}/api/v1/dashboards/03fb5cc3-de48-423f-9926-8e192e5de59d" \ -H "Authorization: Bearer {access_token}"# Get by ID with fieldscurl "{base_url}/api/v1/dashboards/03fb5cc3-de48-423f-9926-8e192e5de59d?fields=owners,tags,charts,domains" \ -H "Authorization: Bearer {access_token}"# Get by fully qualified namecurl "{base_url}/api/v1/dashboards/name/sample_superset.10" \ -H "Authorization: Bearer {access_token}"# Get by name with fieldscurl "{base_url}/api/v1/dashboards/name/sample_superset.10?fields=owners,tags,charts,domains" \ -H "Authorization: Bearer {access_token}"
from metadata.sdk import configurefrom metadata.sdk.entities import Dashboardsconfigure( host="https://your-company.open-metadata.org/api", jwt_token="your-jwt-token")# Get by IDdashboard = Dashboards.retrieve("03fb5cc3-de48-423f-9926-8e192e5de59d")print(f"{dashboard.fullyQualifiedName.root}: {dashboard.displayName}")# Get by ID with fieldsdashboard = Dashboards.retrieve( "03fb5cc3-de48-423f-9926-8e192e5de59d", fields=["owners", "tags", "charts"])# Get by fully qualified namedashboard = Dashboards.retrieve_by_name("sample_superset.10")# Get by name with fieldsdashboard = Dashboards.retrieve_by_name( "sample_superset.10", fields=["owners", "tags", "charts", "domains"])
import org.openmetadata.schema.entity.data.Dashboard;// client is an initialized OpenMetadataClient.// Get by IDDashboard dashboard = client.dashboards().get("03fb5cc3-de48-423f-9926-8e192e5de59d");// Get by ID with fieldsDashboard dashboardWithFields = client.dashboards().get( "03fb5cc3-de48-423f-9926-8e192e5de59d", "owners,tags,charts");// Get by fully qualified nameDashboard dashboardByName = client.dashboards().getByName( "sample_superset.10");// Get by name with fieldsDashboard dashboardByNameWithFields = client.dashboards().getByName( "sample_superset.10", "owners,tags,charts,domains");
# Get by IDcurl "{base_url}/api/v1/dashboards/03fb5cc3-de48-423f-9926-8e192e5de59d" \ -H "Authorization: Bearer {access_token}"# Get by ID with fieldscurl "{base_url}/api/v1/dashboards/03fb5cc3-de48-423f-9926-8e192e5de59d?fields=owners,tags,charts,domains" \ -H "Authorization: Bearer {access_token}"# Get by fully qualified namecurl "{base_url}/api/v1/dashboards/name/sample_superset.10" \ -H "Authorization: Bearer {access_token}"# Get by name with fieldscurl "{base_url}/api/v1/dashboards/name/sample_superset.10?fields=owners,tags,charts,domains" \ -H "Authorization: Bearer {access_token}"
Get a single dashboard by its unique ID or fully qualified name.
Get by ID
string
required
UUID of the dashboard to retrieve.
string
Comma-separated list of fields to include, for example owners,tags,followers,votes,extension,domains,charts,sourceHash.
string
default:"non-deleted"
Include all, deleted, or non-deleted entities.
Get by Fully Qualified Name
Use GET /v1/dashboards/name/{fqn} to retrieve by fully qualified name.
string
required
Fully qualified name of the dashboard, for example sample_superset.10.
string
Comma-separated list of fields to include: owners, tags, followers, votes, extension, domains, charts, sourceHash.
string
default:"non-deleted"
Include all, deleted, or non-deleted entities.
GET /v1/dashboards/{id}
from metadata.sdk import configurefrom metadata.sdk.entities import Dashboardsconfigure( host="https://your-company.open-metadata.org/api", jwt_token="your-jwt-token")# Get by IDdashboard = Dashboards.retrieve("03fb5cc3-de48-423f-9926-8e192e5de59d")print(f"{dashboard.fullyQualifiedName.root}: {dashboard.displayName}")# Get by ID with fieldsdashboard = Dashboards.retrieve( "03fb5cc3-de48-423f-9926-8e192e5de59d", fields=["owners", "tags", "charts"])# Get by fully qualified namedashboard = Dashboards.retrieve_by_name("sample_superset.10")# Get by name with fieldsdashboard = Dashboards.retrieve_by_name( "sample_superset.10", fields=["owners", "tags", "charts", "domains"])
import org.openmetadata.schema.entity.data.Dashboard;// client is an initialized OpenMetadataClient.// Get by IDDashboard dashboard = client.dashboards().get("03fb5cc3-de48-423f-9926-8e192e5de59d");// Get by ID with fieldsDashboard dashboardWithFields = client.dashboards().get( "03fb5cc3-de48-423f-9926-8e192e5de59d", "owners,tags,charts");// Get by fully qualified nameDashboard dashboardByName = client.dashboards().getByName( "sample_superset.10");// Get by name with fieldsDashboard dashboardByNameWithFields = client.dashboards().getByName( "sample_superset.10", "owners,tags,charts,domains");
# Get by IDcurl "{base_url}/api/v1/dashboards/03fb5cc3-de48-423f-9926-8e192e5de59d" \ -H "Authorization: Bearer {access_token}"# Get by ID with fieldscurl "{base_url}/api/v1/dashboards/03fb5cc3-de48-423f-9926-8e192e5de59d?fields=owners,tags,charts,domains" \ -H "Authorization: Bearer {access_token}"# Get by fully qualified namecurl "{base_url}/api/v1/dashboards/name/sample_superset.10" \ -H "Authorization: Bearer {access_token}"# Get by name with fieldscurl "{base_url}/api/v1/dashboards/name/sample_superset.10?fields=owners,tags,charts,domains" \ -H "Authorization: Bearer {access_token}"